Subject: [Ipsec] Errata RFC4305

From: "Vishwas Manral" <[email-masked]>
Date: Thu, 12 Jan 2006 21:51:56 -0800

Hi Russ/ Stephen,

After the private discussion, I have compiled changes for RFC4305. The
changes are all related to the old point I had raised, on the list
(except point 3 where I have added a note). 

I will forward them to the errata page if the changes look good to the
list.

1. Section 3.1.1 states

      Requirement    Authentication Algorithm (notes)
      -----------    ------------------------
      MUST           HMAC-SHA1-96 [RFC2404]
      MUST           NULL (1)
      SHOULD+        AES-XCBC-MAC-96 [RFC3566]
      MAY            HMAC-MD5-96 [RFC2403] (2)

Should be 

      Requirement    Authentication Algorithm (notes)
      -----------    ------------------------
      MUST           HMAC-SHA1-96 [RFC2404]
      SHOULD+        AES-XCBC-MAC-96 [RFC3566]
      SHOULD         NULL (1)
      MAY            HMAC-MD5-96 [RFC2403] (2)

2. Section 3.1.1 states
   Notes:

   (1) Since ESP encryption and authentication are optional, support for
       the two "NULL" algorithms is required to maintain consistency
       with the way these services are negotiated.  Note that while
       authentication and encryption can each be "NULL", they MUST NOT
       both be "NULL".

Should be

   Notes:

   (1) Since ESP encryption is optional, support for the "NULL"
       algorithm is required to maintain consistency with the way 
       services are negotiated. Note that while authentication 
       and encryption can each be "NULL", they MUST NOT both be 
       "NULL".

3. Section 3.2 states

    Requirement    Algorithm (notes)
      -----------    ---------
      MUST           HMAC-SHA1-96 [RFC2404] 
      SHOULD+        AES-XCBC-MAC-96 [RFC3566]
      MAY            HMAC-MD5-96 [RFC2403] (1)

   Note:

   (1) Weaknesses have become apparent in MD5; however, these should not
       affect the use of MD5 with HMAC.

Should be

    Requirement    Algorithm (notes)
      -----------    ---------
      MUST           HMAC-SHA1-96 [RFC2404] (1)
      SHOULD+        AES-XCBC-MAC-96 [RFC3566]
      MAY            HMAC-MD5-96 [RFC2403] (2)

   Note:

   (1) Collisions attacks are now known in SHA-1; however, these should 
       not affect the use of SHA-1 with HMAC.

   (2) Weaknesses have become apparent in MD5; however, these should not
       affect the use of MD5 with HMAC.

4. Section 6.

  The implementation requirements are compared below:

   Old   Old         New
   Req.  RFC(s)      Requirement  Algorithm (notes)
   ---   ------      -----------  ---------
   MUST  2406        SHOULD NOT   DES-CBC [RFC2405] (1)
   MUST  2402 2406   MAY          HMAC-MD5-96 [RFC2403]
   MUST  2402 2406   MUST         HMAC-SHA1-96 [RFC2404]

Should be

  The implementation requirements are compared below:

   Old   Old         New
   Req.  RFC(s)      Requirement  Algorithm (notes)
   ---   ------      -----------  ---------
   MUST  2406        SHOULD NOT   DES-CBC [RFC2405] (1)
   MUST  2402 2406   MAY          HMAC-MD5-96 [RFC2403]
   MUST  2402 2406   MUST         HMAC-SHA1-96 [RFC2404]
   MUST  2406        SHOULD       NULL Authentication
   MUST  2406        MUST         NULL Encryption
   
Thanks,
Vishwas

_______________________________________________
Ipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipsec

---

From: Paul Koning <[email-masked]>
Date: Fri, 13 Jan 2006 10:10:17 -0500

>...
>... 
>..

That still seems to conflict with RFC 4303, which says MAY and not
SHOULD.  In my opinion,  MAY is the correct choice.

   paul